@import url("https://fonts.googleapis.com/css2?family=Ubuntu:wght@300;400;500;700&display=swap");

.container-song {
  margin: 0 auto;
  text-align: center;
}

.container-song {
  background-color: #ffe7f6;
  height: 547px;
  width: 400px;
  border-radius: 20px;
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.3);
  transition: all 0.5s ease;
}

.container-song:hover {
  box-shadow: 0 15px 30px rgba(0, 0, 0, 0.6);
}

.player-img {
  width: 300px;
  height: 300px;
  position: relative;
  top: -50px;
  left: 50px;
}

.player-img img {
  object-fit: cover;
  border-radius: 20px;
  height: 0;
  width: 0;
  opacity: 0;
  box-shadow: 0 5px 30px 5px rgba(0, 0, 0, 0.5);
}

.player-img:hover img {
  box-shadow: 0 5px 30px 5px rgba(0, 0, 0, 0.8);
}

.player-img img.active {
  width: 100%;
  height: 100%;
  transition: all 0.5s;
  opacity: 1;
}

h2 {
  font-size: 25px;
  text-align: center;
  font-weight: 500;
  margin: 10px 0 0;
}

h3 {
  font-size: 18px;
  text-align: center;
  font-weight: 500;
  margin: 10px 0 0;
}

.player-progress {
  background-color: #fff;
  border-radius: 5px;
  cursor: pointer;
  margin: 40px 20px 35px;
  height: 6px;
  width: 90%;
}

.progress {
  background-color: #212121;
  border-radius: 5px;
  height: 100%;
  width: 0%;
  transition: width 0.1s linear;
}

.music-duration {
  position: relative;
  top: -35px;
  display: flex;
  justify-content: space-between;
}

.player-controls {
  position: relative;
  top: -15px;
  left: 120px;
  width: 200px;
}

.fa-solid {
  font-size: 30px;
  color: #666;
  margin-right: 30px;
  cursor: pointer;
  user-select: none;
  transition: all 0.3s ease;
}

.fa-solid:hover {
  filter: brightness(40%);
}

.play-button {
  font-size: 44px;
  position: relative;
  top: 3px;
}
